#!/bin/bash
#------------------------------------------#
# FileName:             ssh_auto.sh
# Description:          This script can achieve ssh password-free login,
#                       and can be deployed in batches, configuration
#------------------------------------------#
# Copyright:            2017 vinsent
# License:              GPL 2+
#------------------------------------------#
[ ! -f /root/.ssh/id_rsa.pub ] && ssh-keygen -t rsa -f /root/.ssh/id_rsa &>/dev/null
while read line;do
        user_name=`echo $line | cut -d " " -f1`      # 提取文件中的用户名
        pass_word=`echo $line | cut -d " " -f2`      # 提取文件中的密码
        ip=`echo $line | cut -d " " -f3`             # 提取文件中的ip
expect <<EOF
        spawn ssh-copy-id -i /root/.ssh/id_rsa.pub $user_name@$ip
        expect {
                "yes/no" { send "yes\n";exp_continue}
                "password" { send "$pass_word\n"}
        }
        expect eof
EOF

done < /home/soft/deploy/server/host_ip.txt



