<?xml version='1.1' encoding='UTF-8'?>
<project>
    <actions/>
    <description></description>
    <keepDependencies>false</keepDependencies>
    <properties>
        <com.dabsquared.gitlabjenkins.connection.GitLabConnectionProperty plugin="gitlab-plugin@1.5.13">
            <gitLabConnection>gitlab140</gitLabConnection>
        </com.dabsquared.gitlabjenkins.connection.GitLabConnectionProperty>
        <jenkins.model.BuildDiscarderProperty>
            <strategy class="hudson.tasks.LogRotator">
                <daysToKeep>-1</daysToKeep>
                <numToKeep>3</numToKeep>
                <artifactDaysToKeep>-1</artifactDaysToKeep>
                <artifactNumToKeep>-1</artifactNumToKeep>
            </strategy>
        </jenkins.model.BuildDiscarderProperty>
        <hudson.model.ParametersDefinitionProperty>
            <parameterDefinitions>
                <hudson.model.StringParameterDefinition>
                    <name>deployName</name>
                    <description>文件名称</description>
                    <defaultValue></defaultValue>
                    <trim>true</trim>
                </hudson.model.StringParameterDefinition>
                <hudson.model.StringParameterDefinition>
                    <name>modelVersion</name>
                    <description>模块版本</description>
                    <defaultValue></defaultValue>
                    <trim>true</trim>
                </hudson.model.StringParameterDefinition>
                <hudson.model.StringParameterDefinition>
                    <name>modelServiceName</name>
                    <description>模块服务名</description>
                    <defaultValue></defaultValue>
                    <trim>true</trim>
                </hudson.model.StringParameterDefinition>
                <hudson.model.StringParameterDefinition>
                    <name>projectCode</name>
                    <description>项目编号</description>
                    <defaultValue></defaultValue>
                    <trim>true</trim>
                </hudson.model.StringParameterDefinition>
                <hudson.model.ChoiceParameterDefinition>
                    <name>status</name>
                    <description>start 启动 ,stop停止,deploy部署
                        (deploy代码传递参数，界面不要选择此项)</description>
                    <choices class="java.util.Arrays$ArrayList">
                        <a class="string-array">
                            <string>start</string>
                            <string>stop</string>
                            <string>deploy</string>
                        </a>
                    </choices>
                </hudson.model.ChoiceParameterDefinition>
            </parameterDefinitions>
        </hudson.model.ParametersDefinitionProperty>
    </properties>
    <scm class="hudson.scm.NullSCM"/>
    <canRoam>true</canRoam>
    <disabled>false</disabled>
    <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
    <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
    <authToken>1156ddb265bc6ec3c190a17d74735d8f28</authToken>
    <triggers/>
    <concurrentBuild>false</concurrentBuild>
    <builders>
        <hudson.tasks.Shell>
            <command>
echo &quot;###################begin start#############&quot;

echo &apos;deployName:&apos; + $deployName
echo &apos;modelServiceName:&apos; + $modelServiceName
echo &apos;modelVersion:&apos; + $modelVersion
echo &apos;projectCode:&apos; + $projectCode
echo &apos;status:&apos;+ $status
echo &quot;###################end print#############&quot;

echo &quot;###################begin write#############&quot;
rm -rf updowncommand.txt
echo $status &gt; updowncommand.txt
echo &quot;###################end write###############&quot;
ls -la

if [ &quot;$status&quot; = &quot;deploy&quot; ]; then
rm -rf $deployName

destDir=&quot;/home/version/push-jar/${r"${"}projectCode}/${r"${"}modelServiceName}/${r"${"}modelVersion}/${r"${"}deployName}&quot;


echo &apos;destDir:&apos; + $destDir
# copy jar to jenkins container
scp root@192.168.111.106:$destDir .


echo &quot;################### jar file#############&quot;

ls -la
fi

            </command>
        </hudson.tasks.Shell>
    </builders>
    <publishers>
        <jenkins.plugins.publish__over__ssh.BapSshPublisherPlugin plugin="publish-over-ssh@1.20.1">
            <consolePrefix>SSH: </consolePrefix>
            <delegate plugin="publish-over@0.22">
                <publishers>
                    <jenkins.plugins.publish__over__ssh.BapSshPublisher plugin="publish-over-ssh@1.20.1">
                        <configName>${floatingIp}(${fixedIp})</configName>
                        <verbose>false</verbose>
                        <transfers>
                            <jenkins.plugins.publish__over__ssh.BapSshTransfer>
                                <remoteDirectory>${deployPath}</remoteDirectory>
                                <sourceFiles>${deployJar},updowncommand.txt</sourceFiles>
                                <excludes></excludes>
                                <removePrefix></removePrefix>
                                <remoteDirectorySDF>false</remoteDirectorySDF>
                                <flatten>false</flatten>
                                <cleanRemote>false</cleanRemote>
                                <noDefaultExcludes>false</noDefaultExcludes>
                                <makeEmptyDirs>false</makeEmptyDirs>
                                <patternSeparator>[, ]+</patternSeparator>
                                <execCommand>
cd ${deployPath}
exec bash ${deployShFileName} start
                                </execCommand>
                                <execTimeout>120000</execTimeout>
                                <usePty>true</usePty>
                                <useAgentForwarding>false</useAgentForwarding>
                            </jenkins.plugins.publish__over__ssh.BapSshTransfer>
                        </transfers>
                        <useWorkspaceInPromotion>false</useWorkspaceInPromotion>
                        <usePromotionTimestamp>false</usePromotionTimestamp>
                    </jenkins.plugins.publish__over__ssh.BapSshPublisher>
                </publishers>
                <continueOnError>false</continueOnError>
                <failOnError>false</failOnError>
                <alwaysPublishFromMaster>false</alwaysPublishFromMaster>
                <hostConfigurationAccess class="jenkins.plugins.publish_over_ssh.BapSshPublisherPlugin" reference="../.."/>
            </delegate>
        </jenkins.plugins.publish__over__ssh.BapSshPublisherPlugin>
    </publishers>
    <buildWrappers/>
</project>
