<?xml version='1.1' encoding='UTF-8'?>
<project>
  <actions/>
  <description></description>
  <keepDependencies>false</keepDependencies>
  <properties>
    <com.dabsquared.gitlabjenkins.connection.GitLabConnectionProperty plugin="gitlab-plugin@1.5.13">
      <gitLabConnection>gitlab140</gitLabConnection>
    </com.dabsquared.gitlabjenkins.connection.GitLabConnectionProperty>
    <jenkins.model.BuildDiscarderProperty>
      <strategy class="hudson.tasks.LogRotator">
        <daysToKeep>-1</daysToKeep>
        <numToKeep>10</numToKeep>
        <artifactDaysToKeep>-1</artifactDaysToKeep>
        <artifactNumToKeep>-1</artifactNumToKeep>
      </strategy>
    </jenkins.model.BuildDiscarderProperty>
    <hudson.model.ParametersDefinitionProperty>
      <parameterDefinitions>
        <hudson.model.TextParameterDefinition>
          <name>jarFile</name>
          <description>源部署包路径</description>
          <defaultValue></defaultValue>
          <trim>false</trim>
        </hudson.model.TextParameterDefinition>
        <hudson.model.TextParameterDefinition>
          <name>modelServiceName</name>
          <description></description>
          <defaultValue>模块服务名</defaultValue>
          <trim>false</trim>
        </hudson.model.TextParameterDefinition>
        <hudson.model.TextParameterDefinition>
          <name>projectCode</name>
          <description>项目编号</description>
          <defaultValue></defaultValue>
          <trim>false</trim>
        </hudson.model.TextParameterDefinition>
        <hudson.model.TextParameterDefinition>
          <name>modelVersion</name>
          <description></description>
          <defaultValue>模块版本</defaultValue>
          <trim>false</trim>
        </hudson.model.TextParameterDefinition>
      </parameterDefinitions>
    </hudson.model.ParametersDefinitionProperty>
  </properties>
  <scm class="hudson.scm.NullSCM"/>
  <canRoam>true</canRoam>
  <disabled>false</disabled>
  <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
  <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
  <authToken>1156ddb265bc6ec3c190a17d74735d8f28</authToken>
  <triggers/>
  <concurrentBuild>false</concurrentBuild>
  <builders>
    <hudson.tasks.Shell>
      <command>
echo &quot;###################print param begin#############&quot;

echo &apos;jarFile:&apos; + $jarFile
echo &apos;modelServiceName:&apos; + $modelServiceName
echo &apos;modelVersion:&apos; + $modelVersion
echo &apos;projectCode:&apos; + $projectCode

echo &quot;################### print param end#############&quot;


if [ -z &quot;$jarFile&quot; ]; then
echo &apos;jarFile must not be empty&apos;
exit -1
fi


if [ -z &quot;$modelServiceName&quot; ]; then
echo &apos;modelServiceName must not be empty&apos;
exit -1
fi


if [ -z &quot;$modelVersion&quot; ]; then
echo &apos;modelVersion must not be empty&apos;
exit -1
fi

if [ -z &quot;$projectCode&quot; ]; then
echo &apos;projectCode must not be empty&apos;
exit -1
fi


fileName=${r"${"}jarFile##*/}

rm -rf $fileName
# copy jar to docker container
scp -r root@10.0.120.128:$jarFile .

ls -la

# create remote dir
echo &quot;##################create remote dir#############&quot;

destDir=&quot;/home/version/push-jar/${r"${"}projectCode}/${r"${"}modelServiceName}/${r"${"}modelVersion}&quot;

ssh root@10.0.120.26 &quot;
    pwd &amp;&amp;
    mkdir -p $destDir &amp;&amp;
    ls -la $destDir&quot;


 echo &quot;##################pushing jar begin#############&quot;

 scp -r $fileName root@10.0.120.26:$destDir

 echo &quot;###################pushing jar end#############&quot;</command>
    </hudson.tasks.Shell>
  </builders>
  <publishers/>
  <buildWrappers/>
</project>
