<?xml version='1.1' encoding='UTF-8'?>
<project>
  <actions/>
  <description></description>
  <keepDependencies>false</keepDependencies>
  <properties>
    <com.dabsquared.gitlabjenkins.connection.GitLabConnectionProperty plugin="gitlab-plugin@1.5.13">
      <gitLabConnection>gitlab140</gitLabConnection>
    </com.dabsquared.gitlabjenkins.connection.GitLabConnectionProperty>
    <jenkins.model.BuildDiscarderProperty>
      <strategy class="hudson.tasks.LogRotator">
        <daysToKeep>-1</daysToKeep>
        <numToKeep>5</numToKeep>
        <artifactDaysToKeep>-1</artifactDaysToKeep>
        <artifactNumToKeep>-1</artifactNumToKeep>
      </strategy>
    </jenkins.model.BuildDiscarderProperty>
    <hudson.model.ParametersDefinitionProperty>
      <parameterDefinitions>
        <hudson.model.StringParameterDefinition>
          <name>projectCode</name>
          <description>项目编号</description>
          <defaultValue></defaultValue>
          <trim>false</trim>
        </hudson.model.StringParameterDefinition>
        <hudson.model.StringParameterDefinition>
          <name>modelServiceName</name>
          <description>模块服务名</description>
          <defaultValue></defaultValue>
          <trim>false</trim>
        </hudson.model.StringParameterDefinition>
        <hudson.model.StringParameterDefinition>
          <name>modelVersion</name>
          <description>模块版本</description>
          <defaultValue></defaultValue>
          <trim>false</trim>
        </hudson.model.StringParameterDefinition>
        <net.uaznia.lukanus.hudson.plugins.gitparameter.GitParameterDefinition plugin="git-parameter@0.9.13">
          <name>branch</name>
          <description>分支或标签</description>
          <uuid>68e3f364-7b6d-4b77-b131-a9f07c958fd4</uuid>
          <type>PT_BRANCH_TAG</type>
          <branch></branch>
          <tagFilter>*</tagFilter>
          <branchFilter>.*</branchFilter>
          <sortMode>NONE</sortMode>
          <defaultValue>origin/master</defaultValue>
          <selectedValue>NONE</selectedValue>
          <quickFilterEnabled>false</quickFilterEnabled>
          <listSize>5</listSize>
        </net.uaznia.lukanus.hudson.plugins.gitparameter.GitParameterDefinition>
      </parameterDefinitions>
    </hudson.model.ParametersDefinitionProperty>
  </properties>
  <scm class="hudson.plugins.git.GitSCM" plugin="git@4.4.5">
    <configVersion>2</configVersion>
    <userRemoteConfigs>
      <hudson.plugins.git.UserRemoteConfig>
        <url>${gitPath}</url>
        <credentialsId>gitlab140-jenkins</credentialsId>
      </hudson.plugins.git.UserRemoteConfig>
    </userRemoteConfigs>
    <branches>
      <hudson.plugins.git.BranchSpec>
        <name>${r"${"}branch}</name>
      </hudson.plugins.git.BranchSpec>
    </branches>
    <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
    <submoduleCfg class="list"/>
    <extensions/>
  </scm>
  <canRoam>true</canRoam>
  <disabled>false</disabled>
  <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
  <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
  <authToken>11eb77e9cdda37fa642b028c5d7c65dd4c</authToken>
  <triggers/>
  <concurrentBuild>false</concurrentBuild>
  <builders>
    <hudson.tasks.Shell>
      <command>
npm install node-sass -save --sass_binary_site=http://39.100.254.140:12010/repository/node-sass/  --unsafe-perm

npm install --unsafe-perm --registry=http://39.100.254.140:12010/repository/npm-all/

npm install cross-env --unsafe-perm --registry=http://39.100.254.140:12010/repository/npm-all/
npm run build:prod

zip -r dist.zip dist

echo &quot;###################pushing jar to versionserver #############&quot;
echo &quot;######################print param begin######################&quot;

echo &apos;projectCode:&apos; + $projectCode
echo &apos;modelServiceName:&apos; + $modelServiceName
echo &apos;modelVersion:&apos; + $modelVersion
echo &apos;branch:&apos; +$branch


echo &quot;######################print param end######################&quot;

echo &quot;##################create remore dist begin#############&quot;

destDir=&quot;/home/upload/deploy-jar/${r"${"}projectCode}/${r"${"}modelServiceName}/${r"${"}modelVersion}&quot;
echo &apos;please check destDir is include projectCode、modelServiceName、modelVersion:&apos; + $destDir

if [ -z &quot;$projectCode&quot; ]; then
echo &apos;projectCode must not be empty&apos;
exit -1
fi

if [ -z &quot;$modelServiceName&quot; ]; then
echo &apos;modelServiceName must not be empty&apos;
exit -1
fi

if [ -z &quot;$modelVersion&quot; ]; then
echo &apos;modelVersion must not be empty&apos;
exit -1
fi

if [ -z &quot;$modelVersion&quot; ]; then
echo &apos;modelVersion must not be empty&apos;
exit -1
fi

ssh root@192.169.201.206 &quot;
pwd &amp;&amp;
mkdir -p $destDir &amp;&amp;
ls -la $destDir&quot;

echo &quot;##################create remore dist end#############&quot;


echo &quot;##################pussing jar begin#############&quot;

scp dist.zip root@192.169.201.206:$destDir

echo &quot;##################pussing jar end#############&quot;</command>
    </hudson.tasks.Shell>
  </builders>
  <publishers/>
  <buildWrappers>
    <hudson.plugins.ws__cleanup.PreBuildCleanup plugin="ws-cleanup@0.38">
      <deleteDirs>false</deleteDirs>
      <cleanupParameter></cleanupParameter>
      <externalDelete></externalDelete>
      <disableDeferredWipeout>false</disableDeferredWipeout>
    </hudson.plugins.ws__cleanup.PreBuildCleanup>
    <jenkins.plugins.nodejs.NodeJSBuildWrapper plugin="nodejs@1.3.5">
      <nodeJSInstallationName>NodeJS12.18.3</nodeJSInstallationName>
      <cacheLocationStrategy class="jenkins.plugins.nodejs.cache.DefaultCacheLocationLocator"/>
    </jenkins.plugins.nodejs.NodeJSBuildWrapper>
  </buildWrappers>
</project>
